List all Agents

Retrieves a list of agents that belong to a specified tenant and match the filter criteria. Pagination, filtering, and sorting are supported. A maximum of 1000 records are returned.

Required Entitlements (at least one): tenantAdmin, readAgents, writeAgents, manageAgentStatus, agentOwner

Examples

  • List all agents: GET /Agents
  • Paginate results: GET /Agents?startIndex=51&count=50
  • Filter by name: GET /Agents?filter=displayName eq "MyAgent"
  • Filter by ID: GET /Agents?filter=id eq "550e8400-e29b-41d4-a716-446655440000"
  • Filter by external ID: GET /Agents?filter=externalId eq "ext-123"
  • Sort by name: GET /Agents?sortBy=displayName&sortOrder=ascending
  • Combined: GET /Agents?startIndex=1&count=25&filter=displayName eq "MyAgent"&sortBy=displayName&sortOrder=ascending
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests

LoadingLoading

Query Params
integer
≄ 1
Defaults to 1

A 1-based index that indicates the start position of the result set. A value less than 1 is interpreted as 1. If not specified, defaults to 1.

integer
1 to 200
Defaults to 50

The number of agents to return per page. The range is 1 to 200. If not specified, the default is 50.

string

The filter expression used to search agents. Supported attributes: displayName, id, externalId. Supported operator: eq.

For example, displayName eq "MyAgent".

string
enum

The attribute used to sort the results. Supported values: displayName, id.

Allowed:
string
enum
Defaults to ascending

The sort order when agents are returned. Use with sortBy.

Allowed:
Responses
200

List of agents retrieved successfully

400

Bad Request - Invalid pagination (CSINH1100E-CSINH1103E), search (CSINH1200E-CSINH1202E), or sort (CSINH1203E-CSINH1204E) parameters

401

Unauthorized - Authentication required

403

Forbidden - Insufficient permissions (CSINH2501E)

500

Internal Server Error (CSINH1000E)

Language
URL
LoadingLoading